> For the complete documentation index, see [llms.txt](https://docs.quipuswap.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.quipuswap.com/smart-contracts/dex-2.0/auction-contract/entrypoints-overview/admin-entrypoints/update_whitelist.md).

# update\_whitelist

An entrypoint that updates a list of whitelisted tokens. Tokens can be added to whitelist or can be removed from it.

Whitelisted tokens can be [withdrawn](/smart-contracts/dex-2.0/auction-contract/entrypoints-overview/admin-entrypoints/withdraw_public_fee.md) by an administrator of the contract. Any user can [launch](/smart-contracts/dex-2.0/auction-contract/entrypoints-overview/auction-entrypoints/launch_auction.md) an auction for **NON** whitelisted tokens.

### Call parameters

```pascaligo
type tez_t              is unit

type fa12_token_t       is address

type fa2_token_t        is [@layout:comb] record [
  token                   : address;
  id                      : nat;
]

type token_t            is
| Tez                     of tez_t
| Fa12                    of fa12_token_t
| Fa2                     of fa2_token_t

type update_whitelist_t is [@layout:comb] record [
  token                   : token_t;
  add                     : bool;
]
```

| Field | Type     | Description                                         |
| ----- | -------- | --------------------------------------------------- |
| token | token\_t | FA1.2/FA2/TEZ token                                 |
| add   | bool     | Flag that indicates: admin adds a minter or removes |

### Usage

{% tabs %}
{% tab title="🌮 Taquito" %}

```javascript
const auctionAddress = "KT1...";
const params = {
    token: {
        token: "KT1...",
        id: 0,
    },
    add: true, // or false to remove from whitelist
};
const auction = await tezos.contract.at(auctionAddress);
const operation = await auction.methodsObject.update_whitelist(params).send();

await operation.confirmation();
```

{% endtab %}
{% endtabs %}

### Errors

* `400` - `sender` of the transaction is not current administrator.
* `412` - non payable entrypoint (can't accept TEZ tokens during call of an entrypoint).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.quipuswap.com/smart-contracts/dex-2.0/auction-contract/entrypoints-overview/admin-entrypoints/update_whitelist.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
